OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData_GeneralModule Class Reference

Specific features for General Services adapted to STEP
.

`#include <StepData_GeneralModule.hxx>`

Inheritance diagram for StepData_GeneralModule:

[legend]

## Public Member Functions
virtual Standard_EXPORT void | FillSharedCase (const Standard_Integer casenum, const Handle(Standard_Transient)&ent, Interface_EntityIterator &iter) const =0
| Specific filling of the list of Entities shared by an Entity <ent>. Can use the internal utility method Share, below .
virtual Standard_EXPORT void | CheckCase (const Standard_Integer casenum, const Handle(Standard_Transient)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const =0
| Specific Checking of an Entity <ent> .
virtual Standard_EXPORT void | CopyCase (const Standard_Integer casenum, const Handle(Standard_Transient)&entfrom, const Handle(Standard_Transient)&entto, Interface_CopyTool &TC) const =0
| Specific Copy ("Deep") from <entfrom> to <entto> (same type) by using a TransferControl which provides its working Map. Use method Transferred from TransferControl to work //! Specific Copying of Implied References A Default is provided which does nothing (must current case !) Already copied references (by CopyFrom) must remain unchanged Use method Search from TransferControl to work .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

virtual Standard_EXPORT void StepData_GeneralModule::CheckCase | ( | const Standard_Integer | casenum,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const`[pure virtual]`

| Implements Interface_GeneralModule. Implemented in RWHeaderSection_GeneralModule, RWStepAP214_GeneralModule, StepData_DefaultGeneral, and StepData_DescrGeneral.

virtual Standard_EXPORT void StepData_GeneralModule::CopyCase | ( | const Standard_Integer | casenum,
|  | const Handle(Standard_Transient)& | entfrom,
|  | const Handle(Standard_Transient)& | entto,
|  | Interface_CopyTool & | TC
| ) | const`[pure virtual]`

| Implements Interface_GeneralModule. Implemented in RWHeaderSection_GeneralModule, RWStepAP214_GeneralModule, StepData_DefaultGeneral, and StepData_DescrGeneral.

virtual Standard_EXPORT void StepData_GeneralModule::FillSharedCase | ( | const Standard_Integer | casenum,
|  | const Handle(Standard_Transient)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const`[pure virtual]`

| Implements Interface_GeneralModule. Implemented in RWHeaderSection_GeneralModule, RWStepAP214_GeneralModule, StepData_DefaultGeneral, and StepData_DescrGeneral.

Standard_EXPORT const StepData_GeneralModule::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_GeneralModule. Reimplemented in RWHeaderSection_GeneralModule, RWStepAP214_GeneralModule, StepData_DefaultGeneral, and StepData_DescrGeneral.

The documentation for this class was generated from the following file:

- StepData_GeneralModule.hxx